
Shunter Migration Guide, 2.0 to 3.0
===================================

This guide outlines how to migrate from Shunter 2.x to Shunter 3.x. It outlines breaking changes which might cause issues when you upgrade.

Route Matching
--------------

If you were defining routes as regex to be matched against the url in your `routes.json`, as follows:

```js
{
	"localhost": {
		"^\\/path": {
			"host": "127.0.0.1",
			"port": 1337
		}
	}
}
```

The regex will now need to be delimited with `/` characters, like this:

```js
{
	"localhost": {
		"/^\\/path/": {
			"host": "127.0.0.1",
			"port": 1337
		}
	}
}
```
